@import '_content/Starr.CosmoChatGPT.Plugin.Starr360/Starr.CosmoChatGPT.Plugin.Starr360.kjcepscos6.bundle.scp.css';

/* /Components/Administrator/EditModal.razor.rz.scp.css */
.custom-multiselect .k-multiselect[b-dkfdhad3z2] {
    border: 1px solid #ced4da;
    border-radius: 4px;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.custom-multiselect .k-multiselect .k-input[b-dkfdhad3z2] {
    height: auto;
}

.custom-multiselect .k-multiselect .k-multiselect-wrap[b-dkfdhad3z2] {
    min-height: 38px;
    padding: 0;
    background-color: transparent;
    border: none;
}

.custom-multiselect .k-multiselect .k-clear-value[b-dkfdhad3z2] {
    color: #6c757d;
    font-size: 1.2rem;
}

.custom-multiselect .k-multiselect .k-selected-tag[b-dkfdhad3z2] {
    background-color: var(--starr-color-light);
    border-radius: 3px;
    margin: 2px 5px 2px 0;
    padding: 0.25rem 0.5rem;
    font-size: 0.875rem;
}

    .custom-multiselect .k-multiselect .k-selected-tag .k-selected-value[b-dkfdhad3z2] {
        color: #fff;
    }


/* /Components/ClaimSubmissionChatAssistant.razor.rz.scp.css */
.parent-container[b-r4x4cumadj] {
    display: flex;
    flex-direction: column;
    height: 100vh; /* Full height of the viewport */
}

.nav-tabs-custom[b-r4x4cumadj] {
    flex-shrink: 0; /* Tabs do not grow or shrink */
}

.nav-tabs[b-r4x4cumadj] {
    flex-shrink: 0;
    background-color: hsl(210, 50%, 30%) !important;
    font-family: 'Montserrat', sans-serif;
    font-size: .90rem;
    font-weight: bold;
    border: none;
    margin-bottom: 0px !important;
    padding: 0 !important;
}

.nav-tabs .nav-item.show .nav-link[b-r4x4cumadj], .nav-tabs .nav-link.active[b-r4x4cumadj] {
    color: #ffffff !important; /* Text color for active tab */
    background-color: hsl(210, 50%, 50%) !important; /* Different background color for active tab */
    border: none;
    margin-bottom: 0px !important;
}

/* Target the <a> elements within the nav-item */
.nav-item .nav-link[b-r4x4cumadj] {
    color: #ffffff;
    margin-bottom: 0px !important;
    margin-left: 7px;
    margin-right: 7px;
    margin-top: 7px;
    background-color: hsl(210, 50%, 40%); /* Darker shade for nav links */
    border-radius: 5px; /* Rounded corners */
    padding: 10px 15px; /* Padding for better click area */
    transition: background-color 0.3s ease, color 0.3s ease; /* Smooth transition */
}

.nav-item .nav-link:hover[b-r4x4cumadj] {
    background-color: hsl(210, 50%, 50%); /* Lighter shade on hover */
    color: #ffffff !important;
}

.nav-item .nav-link.active[b-r4x4cumadj] {
    color: #ffffff !important; /* Text color for active tab */
    background-color: hsl(210, 50%, 50%) !important; /* Different background color for active tab */
}

.tab-content-custom[b-r4x4cumadj] {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    overflow: hidden; 
}

.ecs-mode-icon[b-r4x4cumadj] {
    height:30px;
    width:30px;
    margin-right:7px;
}

.ecs-chat-body[b-r4x4cumadj] {    
    overflow-y: auto;
    background:white;
    height: calc(100vh - 294px) !important;
}

.chat-footer[b-r4x4cumadj] {
    flex-shrink: 0;
    border-top: 1px solid #dee2e6;
    padding: 1rem;
    background: #fff;
}
/* /Components/EcsMenu.razor.rz.scp.css */
.dropdown-row[b-yvn3zkzq6o] {
    display: flex;
    align-items: center;
    padding: 12px 16px;
}

    .dropdown-row:hover[b-yvn3zkzq6o] {
        background-color: #f2f2f2; /* Light grey background on hover */
        cursor: pointer; /* Changes the mouse cursor to a pointer */
    }

    .dropdown-row .full a:hover[b-yvn3zkzq6o] {
        text-decoration: underline; /* Adds an underline on hover to the link */
        background-color: transparent; /* Keeps the background transparent */
    }


.column.icon[b-yvn3zkzq6o] {
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 0 0 30px; /* Fixed width, adjust as needed */
}

.column.content[b-yvn3zkzq6o] {
    flex-grow: 1;
    padding-left: 10px; /* Space between icon and text */
}

.model-selection-title[b-yvn3zkzq6o] {
    font-size: 14px;
    font-weight: 900;
}

.context-note[b-yvn3zkzq6o] {
    margin: 0;
    padding: 0;
}
/* /Components/ECS/ClaimNotesDocumentSelector.razor.rz.scp.css */
.note-header[b-yo6gp8lfv8] {

}

.note-details[b-yo6gp8lfv8] 
{

}

.document-item[b-yo6gp8lfv8] {
    display: flex;
    align-items: center;
    margin-bottom: 5px;
}

.search-container[b-yo6gp8lfv8] {
    padding-top: 7px;
    padding-left: 25px;
    background-color: gainsboro;
}

.badge-container[b-yo6gp8lfv8] {
    display: flex;
    align-items: center;
    min-width: 150px; /* Increased to accommodate 3 badges */
    justify-content: flex-end;
    margin-right: 10px;
    margin-left: -4px;
}

.checkbox-container[b-yo6gp8lfv8] {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 30px;
    margin-right: 10px;
}

.inline-notes-container[b-yo6gp8lfv8] {
    overflow-y: auto;
    max-height: 68VH;
    margin-top: 10px;
    font-family: var(--font-tertiary);
    font-size: .85rem;
}

.file-label[b-yo6gp8lfv8] {
    display: flex;
    align-items: center;
    flex-grow: 1;
    overflow: hidden;
}

.file-name[b-yo6gp8lfv8] {
    margin-left: 5px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.badge[b-yo6gp8lfv8] {
    display: inline-block;
    padding: 0.25em 0.4em;
    font-size: 75%;
    font-weight: 700;
    line-height: 1;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: 0.25rem;
    cursor: help;
    margin-right: 2px;
}

.select-all-bar[b-yo6gp8lfv8] {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
}

.select-all-column[b-yo6gp8lfv8], .category-column[b-yo6gp8lfv8], .filter-column[b-yo6gp8lfv8] {
    flex: 1;
    display: flex;
    align-items: center;
}

.select-all-column[b-yo6gp8lfv8] {
    justify-content: flex-start;
}

.category-column[b-yo6gp8lfv8] {
    justify-content: center;
}

.filter-column[b-yo6gp8lfv8] {
    justify-content: flex-end;
}

.badge-button[b-yo6gp8lfv8] {
    border: none;
    padding: 5px 10px;
    border-radius: 3px;
    font-size: 0.8em;
    font-weight: bold;
    cursor: pointer;
    transition: opacity 0.3s;
}

    .badge-button:hover[b-yo6gp8lfv8] {
        opacity: 0.8;
    }

.filter-input[b-yo6gp8lfv8] {
    width: 200px;
}

.select-all-checkbox[b-yo6gp8lfv8] {
    display: flex;
    align-items: center;
}

.category-badges[b-yo6gp8lfv8] {
    display: flex;
    gap: 5px;
    flex-wrap: wrap;
    justify-content: center;
    border: none;
    min-width: 60px;
}

.bg-primary[b-yo6gp8lfv8] {
    background-color: hsl(180, 50%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}

.bg-success[b-yo6gp8lfv8] {
    background-color: hsl(340, 50%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}

.bg-danger[b-yo6gp8lfv8] {
    background-color: hsl(60, 50%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}

.bg-warning[b-yo6gp8lfv8] {
    background-color: hsl(210, 50%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}

.bg-info[b-yo6gp8lfv8] {
    background-color: hsl(270, 50%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}

.bg-secondary[b-yo6gp8lfv8] {
    background-color: hsl(210, 20%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}

.bg-accent[b-yo6gp8lfv8] {
    background-color: hsl(30, 50%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}
/* /Components/ECS/ClaimSearch.razor.rz.scp.css */
.document-item[b-f3edf481f0] {
    display: flex;
    align-items: center;
    margin-bottom: 5px;
}

.search-container[b-f3edf481f0] {
    padding-top: 7px;
    padding-left:25px;
    background-color: gainsboro;
}

.badge-container[b-f3edf481f0] {
    display: flex;
    align-items: center;
    min-width: 150px; /* Increased to accommodate 3 badges */
    justify-content: flex-end;
    margin-right: 10px;
    margin-left: -4px;
}

.checkbox-container[b-f3edf481f0] {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 30px;
    margin-right: 10px;
}
.inline-notes-container[b-f3edf481f0] {
    overflow-y: auto;
    max-height: 68VH;
    margin-top: 10px;
    font-family: var(--font-tertiary);
    font-size: .85rem;
}

.file-label[b-f3edf481f0] {
    display: flex;
    align-items: center;
    flex-grow: 1;
    overflow: hidden;
}

.file-name[b-f3edf481f0] {
    margin-left: 5px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.badge[b-f3edf481f0] {
    display: inline-block;
    padding: 0.25em 0.4em;
    font-size: 75%;
    font-weight: 700;
    line-height: 1;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: 0.25rem;
    cursor: help;
    margin-right: 2px;
}

.select-all-bar[b-f3edf481f0] {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
}

.select-all-column[b-f3edf481f0], .category-column[b-f3edf481f0], .filter-column[b-f3edf481f0] {
    flex: 1;
    display: flex;
    align-items: center;
}

.select-all-column[b-f3edf481f0] {
    justify-content: flex-start;
}

.category-column[b-f3edf481f0] {
    justify-content: center;
}

.filter-column[b-f3edf481f0] {
    justify-content: flex-end;
}

.badge-button[b-f3edf481f0] {
    border: none;
    padding: 5px 10px;
    border-radius: 3px;
    font-size: 0.8em;
    font-weight: bold;
    cursor: pointer;
    transition: opacity 0.3s;
}

    .badge-button:hover[b-f3edf481f0] {
        opacity: 0.8;
    }

.filter-input[b-f3edf481f0] {
    width: 200px;
}

.select-all-checkbox[b-f3edf481f0] {
    display: flex;
    align-items: center;
}

.category-badges[b-f3edf481f0] {
    display: flex;
    gap: 5px;
    flex-wrap: wrap;
    justify-content: center;
    border: none;
    min-width: 60px;
}

.bg-primary[b-f3edf481f0] {
    background-color: hsl(180, 50%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}

.bg-success[b-f3edf481f0] {
    background-color: hsl(340, 50%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}

.bg-danger[b-f3edf481f0] {
    background-color: hsl(60, 50%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}

.bg-warning[b-f3edf481f0] {
    background-color: hsl(210, 50%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}

.bg-info[b-f3edf481f0] {
    background-color: hsl(270, 50%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}

.bg-secondary[b-f3edf481f0] {
    background-color: hsl(210, 20%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}

.bg-accent[b-f3edf481f0] {
    background-color: hsl(30, 50%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}
/* /Components/ECS/EcsModeToggle.razor.rz.scp.css */
.toggle-button[b-kgqqwlma05] {
    padding: 8px 12px;
    background-color: #6050A1;
    border: none;
    font-size: 1rem;
    color: white;
    border-radius: 5px;
    padding:7px;
    display: flex;
    align-items: center;
    cursor: pointer;
    min-width:250px;
}

    .toggle-button.menu-visible[b-kgqqwlma05] {
        background-color: #483D8B; /* Darker shade when active */
    }

.dropdown-content[b-kgqqwlma05] {
    position: absolute;
    font-size: 14px;
    background-color: white;
    min-width: 250px;
    box-shadow: 0px 4px 8px 0px rgba(0,0,0,0.2);
    z-index: 1;
    border-radius: 5px;
    overflow: hidden;
    margin-top: 8px;
    padding: 8px 0;
}

.ecs-mode-icon[b-kgqqwlma05] {
    width:30px;
    height:30px;
    margin-right:7px;
}

.dropdown-row[b-kgqqwlma05] {
    display: flex;
    align-items: center;
    padding: 8px 12px;
    transition: background-color 0.3s ease;
}

    .dropdown-row:hover[b-kgqqwlma05] {
        background-color: #f5f5f5;
        cursor: pointer;
    }

.column.icon[b-kgqqwlma05] {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 30px;
}

.column.content[b-kgqqwlma05] {
    flex-grow: 1;
    padding-left: 10px;
}

.column.radio[b-kgqqwlma05] {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 30px;
}

.radio-icon[b-kgqqwlma05] {
    color: #6050A1;
}
/* /Components/ECS/EditableDocumentCategories.razor.rz.scp.css */
.document-item[b-65gi0gks9q] {
    display: flex;
    align-items: center;
    margin-bottom: 5px;
}

.search-container[b-65gi0gks9q] {
    padding-top: 7px;
    padding-left: 25px;
    background-color: gainsboro;
}

.badge-container[b-65gi0gks9q] {
    display: flex;
    align-items: center;
    min-width: 200px; /* Increased to accommodate 3 badges */
    justify-content: flex-end;
    margin-right: 10px;
    margin-left: -4px;
    min-height: 20px;    
}

.multi-color-badge[b-65gi0gks9q] {
    position: relative;
    display: flex;
    overflow: hidden;
    border-radius: 0.25rem;
    width: 120px; /* Adjust as needed */
    height: 24px;
    cursor: pointer;
}

.color-segment[b-65gi0gks9q] {
    flex-grow: 1;
    height: 100%;
}

.category-text[b-65gi0gks9q] {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-size: 0.8rem;
    font-weight: bold;
    text-shadow: 0 0 2px rgba(0, 0, 0, 0.5);
    background-color: rgba(0, 0, 0, 0.2);
}

.checkbox-container[b-65gi0gks9q] {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 30px;
    margin-right: 10px;
}

.inline-notes-container[b-65gi0gks9q] {
    overflow-y: auto;
    max-height: 68VH;
    margin-top: 10px;
    font-family: var(--font-tertiary);
    font-size: .85rem;
}

.file-label[b-65gi0gks9q] {
    display: flex;
    align-items: center;
    flex-grow: 1;
    overflow: hidden;
}

.file-name[b-65gi0gks9q] {
    margin-left: 5px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.badge[b-65gi0gks9q] {
    display: inline-block;
    padding: 0.25em 0.4em;
    font-size: 75%;
    font-weight: 700;
    line-height: 1;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: 0.25rem;
    cursor: help;
    margin-right: 2px;
}

.select-all-bar[b-65gi0gks9q] {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
}

.select-all-column[b-65gi0gks9q], .category-column[b-65gi0gks9q], .filter-column[b-65gi0gks9q] {
    flex: 1;
    display: flex;
    align-items: center;
}

.select-all-column[b-65gi0gks9q] {
    justify-content: flex-start;
}

.category-column[b-65gi0gks9q] {
    justify-content: center;
}

.filter-column[b-65gi0gks9q] {
    justify-content: flex-end;
}

.badge-button[b-65gi0gks9q] {
    border: none;
    padding: 5px 10px;
    border-radius: 3px;
    font-size: 0.8em;
    font-weight: bold;
    cursor: pointer;
    transition: opacity 0.3s;
}

    .badge-button:hover[b-65gi0gks9q] {
        opacity: 0.8;
    }

.filter-input[b-65gi0gks9q] {
    width: 200px;
}

.select-all-checkbox[b-65gi0gks9q] {
    display: flex;
    align-items: center;
}

.category-badges[b-65gi0gks9q] {
    display: flex;
    gap: 5px;
    flex-wrap: wrap;
    justify-content: center;
    border: none;
    min-width: 60px;
}

.bg-primary[b-65gi0gks9q] {
    background-color: hsl(180, 50%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}

.bg-success[b-65gi0gks9q] {
    background-color: hsl(340, 50%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}

.bg-danger[b-65gi0gks9q] {
    background-color: hsl(60, 50%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}

.bg-warning[b-65gi0gks9q] {
    background-color: hsl(210, 50%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}

.bg-info[b-65gi0gks9q] {
    background-color: hsl(270, 50%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}

.bg-secondary[b-65gi0gks9q] {
    background-color: hsl(210, 20%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}

.bg-accent[b-65gi0gks9q] {
    background-color: hsl(30, 50%, 30%) !important;
    color: white;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 5px 10px;
    border: none;
}
/* /Components/ECS/ProcessCompleteDialog.razor.rz.scp.css */
.custom-dialog .error-list-wrapper[b-wu90nkpub5] {
    max-height: 225px; /* Set the desired height */
    overflow-y: auto; /* Enables vertical scrolling */
    margin-top: 10px; /* Optional: adds some space above the list */
}

.custom-dialog .dialog-list[b-wu90nkpub5] {
    list-style: none;
    padding: 0;
}

.error-list-title[b-wu90nkpub5] {
    font-size:1.1rem;
    color: rgb(0,86,179) !important;
}

.custom-dialog .dialog-list-item[b-wu90nkpub5] {
    padding: 0;
}

.file-name[b-wu90nkpub5] {
    color:rgb(0,86,179);
    font-size: .85rem;
}

.file-icon[b-wu90nkpub5] {
    color: rgb(0,86,179);
}

.doc-list[b-wu90nkpub5] {
    display: flex;
    flex-direction: column;
    width: 100%;
    border: 1px solid #eee;
}

.doc-row[b-wu90nkpub5] {
    display: flex;
    align-items: center;
    border-bottom: 1px solid #eee;
    padding: 2px 0;
}



.file-icon[b-wu90nkpub5] {
    flex: 0 0 auto; /* Auto-fit for the icon */
    margin-right: 10px;
}

.file-name[b-wu90nkpub5] {
    flex: 1 1 auto; /* Take up the remaining space */
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap; /* Prevent wrapping */
}
/* /Components/ECS/RescanButton.razor.rz.scp.css */
.rescan-button-container[b-4irdb4ypsz] {
    display: flex;
    align-items: center;
    gap: 10px; /* Space between buttons */
}

.cancel-button[b-4irdb4ypsz] {
    padding: 4px 8px;
    background-color: rgba(255, 0, 0, 0.5); /* Transparent red */
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 0px !important;
    font-size: 1rem;
    margin-right: 0px;
    margin-left: -10px;
}

    .cancel-button:hover[b-4irdb4ypsz] {
        background-color: darkred;
    }

.rescan-button[b-4irdb4ypsz] {
    display: inline-flex;
    align-items: center;
    background-color: rgb(30, 144, 255);
    color: white;
    border: none;
    padding: 4px 8px;
    border-radius: 0px !important;
    cursor: pointer;
    margin-right: 0px;
    margin-left: 0px;
    transition: background-color 0.3s ease, transform 0.1s ease;
}

    .rescan-button .fa[b-4irdb4ypsz] {
        margin-right: 8px; /* Spacing between icon and text */
    }

    .rescan-button:hover[b-4irdb4ypsz] {
        background-color: lightblue; /* #007bff; */
        color: rgb(30,144,255);
    }

    .rescan-button:active[b-4irdb4ypsz] {
        background-color: #004085; /* Even darker on press */
        transform: scale(0.98); /* Slight shrink effect on press */
    }

    .rescan-button:focus[b-4irdb4ypsz] {
        outline: none; /* Remove outline on focus */
        box-shadow: 0 0 0 3px rgba(0, 123, 255, 0.5); /* Blue focus ring */
    }
/* /Components/Fileparts.razor.rz.scp.css */
/* General Container Styles */
.reference-container[b-s320js7pyb] {
    margin-top: -30px;
    width: 100%;
    margin-bottom: 14px;
    font-size: 0.85rem;
}

/* Header Styles */
.reference-header[b-s320js7pyb] {
    border: 1px solid #eee;
    padding: 7px;
    display: flex;
    justify-content: space-between;
    cursor: pointer;
}

/* Table Container Styles */
.table-container[b-s320js7pyb] {
    overflow-x: hidden;
    width: 100%;
    margin-top: 7px;
}

/* Table Styles */
.table[b-s320js7pyb] {
    width: 96%;
    border-collapse: collapse;
    margin: 0 auto; /* Center the table horizontally */
    font-family: 'Lato', sans-serif;
    font-size: 0.80rem;
    color: slategray;
    padding: 0 10px; /* Apply padding to the table container */
}

    .table th[b-s320js7pyb], .table td[b-s320js7pyb] {
        white-space: nowrap;
        padding: 8px;
        border: 1px solid #ddd;
        text-align: left; /* Ensure the content is left-aligned */
    }

    .table .child-row td[b-s320js7pyb] {
        border: none;
    }

/* Link Styles */
a[b-s320js7pyb] {
    color: slategray;
    text-decoration: none; /* Remove underline from links */
}

    a:hover[b-s320js7pyb] {
        color: #0a58ca;
        text-decoration: underline; /* Add underline on hover */
    }

/* Reference List Styles */
.reference-list[b-s320js7pyb] {
    list-style-type: none;
    padding-left: 0;
    font-size: 0.80rem;
}

    .reference-list li[b-s320js7pyb] {
        margin: 5px 0;
    }
/* /Components/FileUpload.razor.rz.scp.css */
/* Component CSS */
.upload-container[b-wo7flslyka] {
    font-family: 'Montserrat', sans-serif;
    padding: 1rem;
    width: 100%;
    box-sizing: border-box;
}   

.file-drop-zone[b-wo7flslyka] {
    width: 100%;
    padding: 2rem;
    border: 2px dashed #007bff;
    border-radius: 4px;
    text-align: center;
    color: #6c757d;
    cursor: pointer;
    transition: background-color 0.3s;
    position: relative;
}

    .file-drop-zone:hover[b-wo7flslyka] {
        background-color: #f8f9fa;
    }

    .file-drop-zone.drag-over[b-wo7flslyka] {
        background-color: #e9ecef;
        border-color: #0056b3;
    }

    .file-drop-zone p[b-wo7flslyka] {
        margin: 0;
        font-size: 1rem;
    }

    .file-drop-zone .file-select-text[b-wo7flslyka] {
        color: #007bff;
        text-decoration: underline;
        cursor: pointer;
    }


.upload-title[b-wo7flslyka] {
    font-size: 10pt;
    color: #1e1e1e;
    font-weight: bold;
    margin-top: -15px;
    padding-top: 0;
}

.upload-subtitle[b-wo7flslyka] {
    margin-top: 12px;
    font-size: 10pt;
    color: #1e1e1e;
    font-weight: bold;
}

.file-name[b-wo7flslyka] {
    font-size:.85rem;
}

.upload-icon[b-wo7flslyka] {
    font-size: 3rem;
    margin-top: 1rem;
    color: #007bff;
}

.upload-icon[b-wo7flslyka] {
    font-size: 3rem;
    margin-top: 1rem;
    color: #007bff;
}

.selected-files-list[b-wo7flslyka] {
    width: 100%;
    margin-top: .75rem;
    max-height: 175px;
    overflow-y: auto;
    border: 1px solid #e9ecef;
    padding: 5px;
    margin-bottom: 7px;    
}

    .selected-files-list ul[b-wo7flslyka] {
        list-style: none;
        padding: 0;
        margin: 0;
    }

    .selected-files-list li[b-wo7flslyka] {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 0.5rem;
        border-bottom: 1px solid #e9ecef;
        font-size: 0.75rem !important;
    }

    .selected-files-list .file-name[b-wo7flslyka] {
        flex-grow: 1;
        margin-right: 1rem;
        word-break: break-all;
    }

.remove-file-button[b-wo7flslyka] {
    background: none;
    border: none;
    color: #dc3545;
    cursor: pointer;
    font-size: 1rem;
    transition: color 0.3s;
}

    .remove-file-button:hover[b-wo7flslyka] {
        color: #c82333;
    }

.upload-button[b-wo7flslyka] {
    margin-top: 1rem;
    padding: 0.5rem 1.5rem;
    background-color: #28a745;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 1rem;
    transition: background-color 0.3s;
}

    .upload-button:hover[b-wo7flslyka] {
        background-color: #218838;
    }

.status-message[b-wo7flslyka] {
    margin-top: 1rem;
    font-size: 1rem;
    color: #0056b3;
    font-weight: bold;
    display: flex;
    align-items: center;
}

    .status-message .fa-spinner[b-wo7flslyka] {
        margin-right: 0.5rem;
    }

.progress-section[b-wo7flslyka] {
    margin-top: 1.5rem;
    width: 100%;
}

    .progress-section h4[b-wo7flslyka] {
        font-size: 1rem;
        color: #333;
        margin-bottom: 0.5rem;
    }

.progress-bar[b-wo7flslyka] {
    background-color: #e9ecef;
    border-radius: 4px;
    overflow: hidden;
    height: 20px;
    margin-bottom: 0.5rem;
}

.progress[b-wo7flslyka] {
    background-color: #007bff;
    height: 100%;
    transition: width 0.4s ease;
}

.fade-out[b-wo7flslyka] {
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}

.hidden[b-wo7flslyka] {
    display: none;
}


@media (max-width: 576px) {
    .upload-container[b-wo7flslyka] {
        padding: 0.5rem;
    }

    .file-drop-zone[b-wo7flslyka] {
        padding: 1rem;
    }

    .upload-button[b-wo7flslyka] {
        width: 100%;
    }
}
/* /Components/GptToggleMenu.razor.rz.scp.css */
.toggle-button[b-agcy4z4cyb] {
    padding: 12px;
    background-color: transparent;
    border: none;
    font-size: 1.15rem;
}

    .toggle-button.menu-visible[b-agcy4z4cyb] {
        background-color: #6050A1;
        color: white;
        /* Other styles */
    }

.dropdown-row:hover[b-agcy4z4cyb] {
    background-color: #f2f2f2; /* Light grey background on hover */
    cursor: pointer; /* Changes the mouse cursor to a pointer */
}

.dropdown-row .full a:hover[b-agcy4z4cyb] {
    text-decoration: underline; /* Adds an underline on hover to the link */
    background-color: transparent; /* Keeps the background transparent */
}

.radio-icon[b-agcy4z4cyb] {
    color: #6050A1;
}

.context-note[b-agcy4z4cyb] {
    margin: 0;
    padding: 0;
}

h4[b-agcy4z4cyb] {
    font-size: 14px;
    font-weight: bold;
    margin: 0;
    padding: 0;
}

.model-selection-title[b-agcy4z4cyb] {
    font-size:14px;
    font-weight:900;
}

a[b-agcy4z4cyb] {
    text-decoration: underline;
}

.dropdown-content[b-agcy4z4cyb] {
    position: absolute;
    font-size: 14px;
    background-color: #f9f9f9;
    min-width: 450px; /* Adjust width as needed */
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1100;
    border-radius: 5px; /* Optional: if you want rounded corners */
    overflow: hidden; /* Ensures the border-radius clips the content */
}

.dropdown-row[b-agcy4z4cyb] {
    display: flex;
    align-items: center;
    padding: 12px 16px;
}

.column.icon[b-agcy4z4cyb] {
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 0 0 30px; /* Fixed width, adjust as needed */
}

.column.content[b-agcy4z4cyb] {
    flex-grow: 1;
    padding-left: 10px; /* Space between icon and text */
}

.column.radio[b-agcy4z4cyb] {
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 0 0 50px; /* Fixed width, adjust as needed */
}

.column.full[b-agcy4z4cyb] {
    text-align: center;
    padding: 12px 16px; /* Consistent padding with other rows */
}

/* Add this to toggle display of dropdown content */
.show-dropdown[b-agcy4z4cyb] {
    display: block;
}

/* Style adjustments for radio buttons and labels */
input[type="radio"][b-agcy4z4cyb] {
    margin-right: 5px;
}

/* You might need to adjust this if you have specific styling for your anchors */
.dropdown-content a[b-agcy4z4cyb] {
    color: black;
    text-decoration: none;
    display: block;
}

/* Hover state for your dropdown items */
.dropdown-content .dropdown-row:hover[b-agcy4z4cyb] {
    background-color: #f1f1f1;
}

/* Checkmark alignment */
.checkmark[b-agcy4z4cyb] {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.5em; /* Larger checkmark */
}

/* Full width link style */
.dropdown-content .download-link[b-agcy4z4cyb] {
    display: block;
    text-align: center;
    padding: 12px;
    border-top: 1px solid #ddd; /* Adds a separator */
}

    /* Hover state for the download link */
    .dropdown-content .download-link:hover[b-agcy4z4cyb] {
        background-color: #e7e7e7;
    }
/* /Components/PluginMenu.razor.rz.scp.css */
.toggle-button[b-xunthp1l50] {
    padding: 12px;
    background-color: transparent;
    border: none;
    font-size: 1.15rem;
    border-top-right-radius:10px;
    border-top-left-radius:10px;
}

    .toggle-button.menu-visible[b-xunthp1l50] {
        background-color: #6050A1;
        color: white;
        /* Other styles */
    }

.dropdown-row:hover[b-xunthp1l50] {
    background-color: #f2f2f2; /* Light grey background on hover */
    cursor: pointer; /* Changes the mouse cursor to a pointer */
}

.dropdown-row .full a:hover[b-xunthp1l50] {
    text-decoration: underline; /* Adds an underline on hover to the link */
    background-color: transparent; /* Keeps the background transparent */
}

.radio-icon[b-xunthp1l50] {
    color: #6050A1;
}

.context-note[b-xunthp1l50] {
    margin: 0;
    padding: 0;
}

h4[b-xunthp1l50] {
    font-size: 14px;
    font-weight: bold;
    margin: 0;
    padding: 0;
}

.model-selection-title[b-xunthp1l50] {
    font-size: 14px;
    font-weight: 900;
}

a[b-xunthp1l50] {
    text-decoration: underline;
}

.dropdown-content[b-xunthp1l50] {
    position: absolute;
    font-size: 14px;
    background-color: #f9f9f9;
    min-width: 450px; /* Adjust width as needed */
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    border-radius: 5px; /* Optional: if you want rounded corners */
    overflow: hidden; /* Ensures the border-radius clips the content */
}

.dropdown-row[b-xunthp1l50] {
    display: flex;
    align-items: center;
    padding: 12px 16px;
}

.column.icon[b-xunthp1l50] {
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 0 0 30px; /* Fixed width, adjust as needed */
}

.column.content[b-xunthp1l50] {
    flex-grow: 1;
    padding-left: 10px; /* Space between icon and text */
}

.column.radio[b-xunthp1l50] {
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 0 0 50px; /* Fixed width, adjust as needed */
}

.column.full[b-xunthp1l50] {
    text-align: center;
    padding: 12px 16px; /* Consistent padding with other rows */
}

/* Add this to toggle display of dropdown content */
.show-dropdown[b-xunthp1l50] {
    display: block;
}

/* Style adjustments for radio buttons and labels */
input[type="radio"][b-xunthp1l50] {
    margin-right: 5px;
}

/* You might need to adjust this if you have specific styling for your anchors */
.dropdown-content a[b-xunthp1l50] {
    color: black;
    text-decoration: none;
    display: block;
}

/* Hover state for your dropdown items */
.dropdown-content .dropdown-row:hover[b-xunthp1l50] {
    background-color: #f1f1f1;
}

/* Checkmark alignment */
.checkmark[b-xunthp1l50] {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.5em; /* Larger checkmark */
}

.menu-visible[b-xunthp1l50] {
    /* Example properties that might cause issues */
    z-index: 9999; /* Make sure this is not lower than the dropdown */
    overflow: visible; /* Ensure this is set correctly */
    visibility: visible; /* Ensure it is set to visible */
    display: block; /* Ensure it is displayed */
}


/* Full width link style */
.dropdown-content .download-link[b-xunthp1l50] {
    display: block;
    text-align: center;
    padding: 12px;
    border-top: 1px solid #ddd; /* Adds a separator */
}

    /* Hover state for the download link */
    .dropdown-content .download-link:hover[b-xunthp1l50] {
        background-color: #e7e7e7;
    }
/* /Components/Starr360Menu.razor.rz.scp.css */
.dropdown-row[b-t28yc8mgty] {
    display: flex;
    align-items: center;
    padding: 12px 16px;
}

.dropdown-row:hover[b-t28yc8mgty] {
    background-color: #f2f2f2; /* Light grey background on hover */
    cursor: pointer; /* Changes the mouse cursor to a pointer */
}

.dropdown-row .full a:hover[b-t28yc8mgty] {
    text-decoration: underline; /* Adds an underline on hover to the link */
    background-color: transparent; /* Keeps the background transparent */
}


.column.icon[b-t28yc8mgty] {
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 0 0 30px; /* Fixed width, adjust as needed */
}

.column.content[b-t28yc8mgty] {
    flex-grow: 1;
    padding-left: 10px; /* Space between icon and text */
}

.model-selection-title[b-t28yc8mgty] {
    font-size: 14px;
    font-weight: 900;
}

.context-note[b-t28yc8mgty] {
    margin: 0;
    padding: 0;
}
/* /Components/ThreadOptionsButton.razor.rz.scp.css */
.to-toggle-button[b-i4nhm31z7h] {
    padding: 12px;
    background-color: transparent;
    border-radius:0;
    border: none;
    font-size: 1.15rem;
    z-index:2;
    font-weight:normal;
}

    .to-toggle-button.menu-visible[b-i4nhm31z7h] {
        background-color: #6050A1;
        color: white;
    }

    .to-toggle-button:hover[b-i4nhm31z7h] {
        color: yellow !important;
        font-weight:bold;
    }

.to-dropdown-row[b-i4nhm31z7h] {
    color: black;
}
    .to-dropdown-row:hover[b-i4nhm31z7h] {
        background-color: #6050A1; /* Light grey background on hover */
        color:white;
        cursor: pointer; /* Changes the mouse cursor to a pointer */
    }

.to-dropdown-row .full a:hover[b-i4nhm31z7h] {
    text-decoration: underline; /* Adds an underline on hover to the link */
    background-color: transparent; /* Keeps the background transparent */
}

    .to-dropdown-row .icon[b-i4nhm31z7h] {
        margin-right: 10px; /* Space between icon and text */
        font-size: 16px; /* Adjust icon size if necessary */
    }

    .to-dropdown-row .text[b-i4nhm31z7h] {
        flex-grow: 1;
        font-size: 14px; /* Adjust text size if necessary */
    }

.to-dropdown-content[b-i4nhm31z7h] {
    position: fixed; /* Changed from absolute to fixed */
    font-size: 14px;
    background-color: #f9f9f9;
    min-width: 300px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1000;
    border-radius: 5px;
    overflow: hidden;
    display: none; /* Hide by default */
}

.to-show-dropdown[b-i4nhm31z7h] {
    display: block; /* Show when class is applied */
}

.to-dropdown-row[b-i4nhm31z7h] {
    display: flex;
    align-items: center;
    padding: 12px 16px;
}

.to-column.icon[b-i4nhm31z7h] {
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 0 0 30px; /* Fixed width, adjust as needed */
}

.to-column.content[b-i4nhm31z7h] {
    flex-grow: 1;
    padding-left: 10px; /* Space between icon and text */
}

.to-column.radio[b-i4nhm31z7h] {
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 0 0 50px; /* Fixed width, adjust as needed */
}

.to-column.full[b-i4nhm31z7h] {
    text-align: center;
    padding: 12px 16px; /* Consistent padding with other rows */
}

/* Add this to toggle display of dropdown content */
.to-show-dropdown[b-i4nhm31z7h] {
    display: block;
}

/* Style adjustments for radio buttons and labels */
to-input[type="radio"][b-i4nhm31z7h] {
    margin-right: 5px;
}

/* You might need to adjust this if you have specific styling for your anchors */
.to-dropdown-content a[b-i4nhm31z7h] {
    color: black;
    text-decoration: none;
    display: block;
}

/* Hover state for your dropdown items */
.to-dropdown-content .dropdown-row:hover[b-i4nhm31z7h] {
    background-color: #f1f1f1;
}

.to-menu-visible[b-i4nhm31z7h] {
    /* Example properties that might cause issues */
    z-index: 1000; /* Make sure this is not lower than the dropdown */
    overflow: visible; /* Ensure this is set correctly */
    visibility: visible; /* Ensure it is set to visible */
    display: block; /* Ensure it is displayed */
}


/* Full width link style */
.to-dropdown-content .download-link[b-i4nhm31z7h] {
    display: block;
    text-align: center;
    padding: 12px;
    border-top: 1px solid #ddd; /* Adds a separator */
}

    /* Hover state for the download link */
    .to-dropdown-content .download-link:hover[b-i4nhm31z7h] {
        background-color: #e7e7e7;
    }
/* /Pages/Administrator.razor.rz.scp.css */
.is-active[b-qd7aoir883] {
    color: green;
    font-size: 1.25rem;
}

.icon-center[b-qd7aoir883] {
    display: flex;
    justify-content: center; 
    align-items: center; 
    height: 100%; 
}
/* /Shared/MainLayout.razor.rz.scp.css */
.page[b-wj3df72is9] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-wj3df72is9] {
    flex: 1;
}

.sidebar[b-wj3df72is9] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-wj3df72is9] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-wj3df72is9]  a, .top-row[b-wj3df72is9]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-wj3df72is9]  a:hover, .top-row[b-wj3df72is9]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-wj3df72is9]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-wj3df72is9] {
        display: none;
    }

    .top-row.auth[b-wj3df72is9] {
        justify-content: space-between;
    }

    .top-row[b-wj3df72is9]  a, .top-row[b-wj3df72is9]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-wj3df72is9] {
        flex-direction: row;
    }

    .sidebar[b-wj3df72is9] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-wj3df72is9] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-wj3df72is9]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-wj3df72is9], article[b-wj3df72is9] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
